/*
 * Ovldanie ADC - zskanie hodnoty potenciometra a vstavanho teplomeru
 */ 


#ifndef APPADC_H_
#define APPADC_H_

#include "stdint-gcc.h"

// Inicializuje ADC pre pouitie v USB aplikcii
void usbapp_adc_initialize(void);

// Zska hodnotu potenciometra
uint32_t usbapp_adc_read_potentiometer(void);

// Spust konverziu ADC
void usbapp_adc_convert(void);

// Zska teplotu
float usbapp_adc_read_temperature(uint16_t * temperatureDigital);

// Povol vstupy pre ADC
void usbapp_adc_enable_channels(void);

// Zru vstupy pre ADC
void usbapp_adc_disable_channels(void);

#endif /* APPADC_H_ */