/*
 * Ovldanie LED didy pomocou PWM
 */ 


#ifndef APPPWM_H_
#define APPPWM_H_

#include "stdint-gcc.h"
#include "stdbool.h"

// Inicializuje pouvanie PWM
void usbapp_pwm_initialize(void);

// Povol PWM na LED dide
void usbapp_pwm_enable_led(void);

// Vypne PWM na LED dide
void usbapp_pwm_disable_led(void);

// Aktualizuje hodnotu "duty" (kedy je vlna aktvna)
void usbapp_pwm_set_led(uint32_t duty);

// Zska hodnotu urujcu, i je PWM povolen
bool usbapp_pwm_is_enabled(void);

// Zska hodnotu "duty" (kedy je vlna aktvna)
uint32_t usbapp_pwm_get_led(void);

#endif /* APPPWM_H_ */