/*
 * Tlaidl pushbutton (switch)
 */ 


#ifndef APPPUSHBUTTONS_H_
#define APPPUSHBUTTONS_H_

#include "stdbool.h"
#include "stdint-gcc.h"

// Prznaky pre tlaidl pushbutton (switch)
typedef enum
{
	PushButton_Left = 0x20,
	PushButton_Right = 0x40
} usbapp_pushbuttons_buttons_t;

// Zska hodnotu urujcu, i sa od poslednho merania zmenil stav tlaidiel
bool usbapp_pushbuttons_changed(void);

// Odstrni prznak toho, i sa od poslednho merania zmenil stav tlaidiel
void usbapp_pushbuttons_clear_changed(void);

// Aktualizuje stav tlaidiel
void usbapp_pushbuttons_measure(void);

// Zska hodnotu, ktor tlaidl s stlaen
uint8_t usbapp_pushbuttons_buttons(void);


#endif /* APPPUSHBUTTONS_H_ */