/*
 * QTouch
 */ 


#ifndef APPQTOUCH_H_
#define APPQTOUCH_H_

#include "stdint-gcc.h"
#include "stdbool.h"

// Prznaky pre tlaidl QTouch
typedef enum {
	QTouchButton_Valid = 0x1,
	QTouchButton_Up = 0x2,
	QTouchButton_Right = 0x4,
	QTouchButton_Down = 0x8,
	QTouchButton_Left = 0x10
} usbapp_qtouch_buttons_t;

// Inicializuje QTouch
void usbapp_qtouch_initialize(void);

// Zachyt aktulny stav QTouch
void usbapp_qtouch_measure(uint32_t timeMs);

// Zska hodnotu urujcu, i sa od poslednho merania zmenil stav tlaidiel
bool usbapp_qtouch_changed(void);

// Odstrni prznak toho, i sa od poslednho meranie zmenil stav tlaidiel
void usbapp_qtouch_clear_changed(void);

// Zska hodnotu, ktor tlaidl s stlaen
uint8_t usbapp_qtouch_buttons(void);

// Zska hodnotu slideru
uint8_t usbapp_qtouch_slider(void);


#endif /* APPQTOUCH_H_ */